# ApplicationFramework
TKLCAF
TDataStd

# TDataStd_ExtStringList Class Reference

Contains a list of ExtendedString.
.

`#include <TDataStd_ExtStringList.hxx>`

Inheritance diagram for TDataStd_ExtStringList:

[legend]

## Public Member Functions

Standard_EXPORT | TDataStd_ExtStringList ()
Standard_EXPORT Standard_Boolean | IsEmpty () const
Standard_EXPORT Standard_Integer | Extent () const
Standard_EXPORT void | Prepend (const TCollection_ExtendedString &value)
Standard_EXPORT void | Append (const TCollection_ExtendedString &value)
Standard_EXPORT Standard_Boolean | InsertBefore (const TCollection_ExtendedString &value, const TCollection_ExtendedString &before_value)
| Inserts the <value> before the first meet of <before_value>. .
Standard_EXPORT Standard_Boolean | InsertAfter (const TCollection_ExtendedString &value, const TCollection_ExtendedString &after_value)
| Inserts the <value> after the first meet of <after_value>. .
Standard_EXPORT Standard_Boolean | Remove (const TCollection_ExtendedString &value)
| Removes the first meet of the <value>. .
Standard_EXPORT void | Clear ()
Standard_EXPORT const TCollection_ExtendedString & | First () const
Standard_EXPORT const TCollection_ExtendedString & | Last () const
Standard_EXPORT const TDataStd_ListOfExtendedString & | List () const
Standard_EXPORT const Standard_GUID & | ID () const
| Returns the ID of the attribute. .
Standard_EXPORT void | Restore (const Handle(TDF_Attribute)&With)
| Restores the backuped contents from <anattribute> into this one. It is used when aborting a transaction. .
Standard_EXPORT Handle_TDF_Attribute | NewEmpty () const
| Returns an new empty attribute from the good end type. It is used by the copy algorithm. .
Standard_EXPORT void | Paste (const Handle(TDF_Attribute)&Into, const Handle(TDF_RelocationTable)&RT) const

This method is different from the "Copy" one,
because it is used when copying an attribute from
a source structure into a target structure. This
method may paste the contents of <me> into
<intoattribute>.
The given pasted attribute can be full or empty of
its contents. But don't make a NEW! Just set the
contents!
It is possible to use <arelocationtable> to
get/set the relocation value of a source
attribute.
.

virtual Standard_EXPORT Standard_OStream & | Dump (Standard_OStream &anOS) const
| Dumps the minimum information about <me> on <astream>. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Static Public Member Functions

static Standard_EXPORT const Standard_GUID & | GetID ()
| Static methods ============== //! Returns the ID of the list of strings attribute. .
static Standard_EXPORT Handle_TDataStd_ExtStringList | Set (const TDF_Label &label)
| Finds or creates a list of string values attribute. .

## Private Attributes

TDataStd_ListOfExtendedString | myList

## Constructor & Destructor Documentation

Standard_EXPORT TDataStd_ExtStringList::TDataStd_ExtStringList | ( |  | ) |

## Member Function Documentation

Standard_EXPORT void TDataStd_ExtStringList::Append | ( | const TCollection_ExtendedString & | value | ) |

Standard_EXPORT void TDataStd_ExtStringList::Clear | ( |  | ) |

virtual Standard_EXPORT Standard_OStream& TDataStd_ExtStringList::Dump | ( | Standard_OStream & | anOS | ) | const`[virtual]`

| Reimplemented from TDF_Attribute.

Standard_EXPORT Standard_Integer TDataStd_ExtStringList::Extent | ( |  | ) | const

Standard_EXPORT const TCollection_ExtendedString& TDataStd_ExtStringList::First | ( |  | ) | const

static Standard_EXPORT const Standard_GUID& TDataStd_ExtStringList::GetID | ( |  | ) | `[static]`

Standard_EXPORT const TDataStd_ExtStringList::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TDF_Attribute.

Standard_EXPORT const Standard_GUID& TDataStd_ExtStringList::ID | ( |  | ) | const`[virtual]`

| Implements TDF_Attribute.

Standard_EXPORT Standard_Boolean TDataStd_ExtStringList::InsertAfter | ( | const TCollection_ExtendedString & | value,
|  | const TCollection_ExtendedString & | after_value
| ) |

Standard_EXPORT Standard_Boolean TDataStd_ExtStringList::InsertBefore | ( | const TCollection_ExtendedString & | value,
|  | const TCollection_ExtendedString & | before_value
| ) |

Standard_EXPORT Standard_Boolean TDataStd_ExtStringList::IsEmpty | ( |  | ) | const

Standard_EXPORT const TCollection_ExtendedString& TDataStd_ExtStringList::Last | ( |  | ) | const

Standard_EXPORT const TDataStd_ListOfExtendedString& TDataStd_ExtStringList::List | ( |  | ) | const

Standard_EXPORT Handle_TDF_Attribute TDataStd_ExtStringList::NewEmpty | ( |  | ) | const`[virtual]`

| Implements TDF_Attribute.

Standard_EXPORT void TDataStd_ExtStringList::Paste | ( | const Handle(TDF_Attribute)& | Into,
|  | const Handle(TDF_RelocationTable)& | RT
| ) | const`[virtual]`

| Implements TDF_Attribute.

Standard_EXPORT void TDataStd_ExtStringList::Prepend | ( | const TCollection_ExtendedString & | value | ) |

Standard_EXPORT Standard_Boolean TDataStd_ExtStringList::Remove | ( | const TCollection_ExtendedString & | value | ) |

Standard_EXPORT void TDataStd_ExtStringList::Restore | ( | const Handle(TDF_Attribute)& | With | ) | `[virtual]`

| Implements TDF_Attribute.

static Standard_EXPORT Handle_TDataStd_ExtStringList TDataStd_ExtStringList::Set | ( | const TDF_Label & | label | ) | `[static]`

## Field Documentation

TDataStd_ListOfExtendedString TDataStd_ExtStringList::myList `[private]`

The documentation for this class was generated from the following file:

- TDataStd_ExtStringList.hxx